#include <clip.h>

PSIDDRIVER g_psid;

unsigned char g_data[1024 * 1024];
unsigned int g_len;

int
main()
{
	FILE* fp;
	short wbuff[PSIDBUFLEN];

	fp = fopen("C:\\United_Stars_PSID.sid", "rb");
	if(!fp) abort();
	g_len = fread(g_data, 1, sizeof g_data, fp);
	fclose(fp);

	psid_init(&g_psid, g_data, g_len, 0);
	for(;;) {
		psid_stream_callback(wbuff, (int)&g_psid);
	}

	return 0;
}

